Bug 857607 - IOException: Failed to add partition 5 (Device or resource busy) i have btrfs on 6th partition
IOException: Failed to add partition 5 (Device or resource busy) i have btrfs...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:9c241a0795b6c54df50747a251e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 00:45 EDT by cornel panceac
Modified: 2013-08-28 13:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 13:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (687 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: anaconda-tb (382.92 KB, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: product (6 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: type (9 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: environ (774 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: storage.log (172.53 KB, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: version (8 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: program.log (56.26 KB, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: anaconda.log (4.25 KB, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: syslog (104.02 KB, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: packaging.log (2.72 KB, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: cmdline_file (114 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: release (24 bytes, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details
File: description (1.60 KB, text/plain)
2012-09-15 00:45 EDT, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2012-09-15 00:45:11 EDT
Version-Release number of selected component:
anaconda-18.6.8

Additional info:
libreport version: 2.0.12
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-0.rc2.git2.1.fc18.i686
Comment 1 cornel panceac 2012-09-15 00:45:14 EDT
Created attachment 613119 [details]
File: ifcfg.log
Comment 2 cornel panceac 2012-09-15 00:45:18 EDT
Created attachment 613120 [details]
File: anaconda-tb
Comment 3 cornel panceac 2012-09-15 00:45:20 EDT
Created attachment 613121 [details]
File: product
Comment 4 cornel panceac 2012-09-15 00:45:22 EDT
Created attachment 613122 [details]
File: type
Comment 5 cornel panceac 2012-09-15 00:45:24 EDT
Created attachment 613123 [details]
File: environ
Comment 6 cornel panceac 2012-09-15 00:45:27 EDT
Created attachment 613124 [details]
File: storage.log
Comment 7 cornel panceac 2012-09-15 00:45:29 EDT
Created attachment 613125 [details]
File: version
Comment 8 cornel panceac 2012-09-15 00:45:31 EDT
Created attachment 613126 [details]
File: program.log
Comment 9 cornel panceac 2012-09-15 00:45:33 EDT
Created attachment 613127 [details]
File: anaconda.log
Comment 10 cornel panceac 2012-09-15 00:45:36 EDT
Created attachment 613128 [details]
File: syslog
Comment 11 cornel panceac 2012-09-15 00:45:38 EDT
Created attachment 613129 [details]
File: hashmarkername
Comment 12 cornel panceac 2012-09-15 00:45:40 EDT
Created attachment 613130 [details]
File: packaging.log
Comment 13 cornel panceac 2012-09-15 00:45:42 EDT
Created attachment 613131 [details]
File: cmdline_file
Comment 14 cornel panceac 2012-09-15 00:45:44 EDT
Created attachment 613132 [details]
File: release
Comment 15 cornel panceac 2012-09-15 00:45:46 EDT
Created attachment 613133 [details]
File: description
Comment 16 cornel panceac 2012-09-15 01:31:55 EDT
but this was not the most interesting thing that happened there. the most interesting thing is that my partitions were broken and in some case, deleted

i'll copy/paste from the test-list:

"
being tired of the dracut selinux infinite loop, i've decided this morning to reinstall f18 from f18 x86 netinst disc. all attempts to boot with standard options failed with a kernel crash (maybe my video card is broken). i eventually managed to reach anaconda by booting in safe graphics mode. there, i've completed the steps required (what is the target device, what software, time zone) then pressed continue. then, i've been hit by this: https://bugzilla.redhat.com/show_bug.cgi?id=857607 . I've seen this before on same system in the previous 5 (?) years so that was not a big surprise. a big surprise was that after i reboot, something messed my existing linux partitions (actually one of them is missing). what do i mean by 'messed'? well, first, grub2 fails to load a menu saying that "no such partition" and offers a grub shell. then, in f17 rescue mode, the system complains that i have no linux partitions. going to rescue mode's shell, the partitions are marked "Linux", but the last one (#7) is missing. then i booted system rescue cd. there, mount /dev/sdb{1,5,7} /mnt/mountpoint ended with something similar to "broken ntfs signature". adding -t ext3 in the mix didn't help, error was something like "bad superblock etc".
THIS is something i don't remember to have ever seen on fedora (alpha, beta or final).

from personal experience, i believe something is deeply wrong in the anaconda logic. and of course, the back and forth mess is also a problem. why not just continue to the next required step, with back being an option, and at the end present a summary of completed and incompleted steps, if any?

btw, on systems with many hard disks (at least 2), if linux/anaconda is unable to tell which is the first hard disk system will boot, why not install grub on all hard disk, just to be sure?

"
Comment 17 cornel panceac 2012-09-15 02:55:21 EDT
maybe i'm wrong, but it seems to me that before this bug, there was:

https://bugzilla.redhat.com/show_bug.cgi?id=431641

and before that, 

https://bugzilla.redhat.com/show_bug.cgi?id=109987

, among others.
Comment 18 Reartes Guillermo 2013-01-15 09:34:52 EST
i performed manual partitioning, selected the first disk

i deleted all partitions (and one member of a raid0)

then i created a /boot (standar partition), a / (btrfs) and a swap.


Package: anaconda-18.37.11
Architecture: x86_64
OS Release: Fedora release 18
Comment 19 harish76 2013-01-17 21:24:52 EST
Attempted a minimal install of Fedora 18. Network install, auto select install source based on closest mirror. Deleted all existing partitions from disk and selected automatic layout. Wired ethernet, DHCP address.

Package: anaconda-18.37.11
Architecture: x86_64
OS Release: Fedora release 18
Comment 20 Deependra Singh Shekhawat 2013-03-03 01:16:38 EST
Hi All,

Trying to install Fedora 18 x86_64 on my server and it fails during the setup of disk , below is the error that occurs, please let me know if there are any questions.


Package: anaconda-18.37.11
Architecture: x86_64
OS Release: Fedora release 18
Comment 21 Kjeld Flarup 2013-05-12 19:10:31 EDT
Said root password not set and then it failed

Package: anaconda-18.37.11
OS Release: Fedora release 18
Comment 22 Brian Lane 2013-05-14 20:55:01 EDT
Please retest with F19 Beta TC4. We won't be making any updates to F18.

Note You need to log in before you can comment on or make changes to this bug.